package constants

// 新版订单状态-后台所有
// 未支付
// const STATUS_NEW_NOT_PAY = 0

// // 首款已付，尾款待付
// const STATUS_NEW_PART_PAY = 1

// // 全款已付
// const STATUS_NEW_PAY_COMPLETED = 2

// // 订单已确认
// const STATUS_NEW_SURE = 3

// // 订单生产中
// const STATUS_NEW_PRODUTING = 4

// // 订单生产完成
// const STATUS_NEW_PRODUT_COMPLETED = 5

// // 订单已到库
// const STATUS_NEW_ARRIVAL = 6

// // 已发货
// const STATUS_NEW_DELIVER = 7

// // UPS提货
// const STATUS_NEW_UPS = 8

// // 已完成
// const STATUS_NEW_COMPLETED = 9

// // 取消订单
// const STATUS_NEW_CANCEL = 10

// // 退款中
// const STATUS_NEW_REFUNDING = 11

// // 退款完成
// const STATUS_NEW_REFUNDED = 12

// // 订单删除
// const STATUS_NEW_DELETE = 13

// // 订单关闭
// const STATUS_NEW_CLOSE = 14

// // 前台订单
// // 已支付
// const STATUS_FONT_PAID = 1

// // 生产中
// const STATUS_FONT_PRODUCTION = 2

// // 运输中
// const STATUS_FONT_SHIPPED = 3

// // 到达云仓
// const STATUS_FONT_INVENTORY = 4

// // 订单完成
// const STATUS_FONT_COMPLETED = 5

// // 订单关闭
// const STATUS_FONT_CLOSED = 7

// // 云仓完成
// const STATUS_FONT_COMPLETED_CLOUD = 8

type Order int64

// 订单状态
const (
	// 未支付
	STATUS_NEW_NOT_PAY Order = 0
	// 首款已付,尾款待付
	STATUS_NEW_PART_PAY Order = 1
	// 全款已付
	STATUS_NEW_PAY_COMPLETED Order = 2
	// 订单已确认
	STATUS_NEW_SURE Order = 3
	// 订单生产中
	STATUS_NEW_PRODUTING Order = 4
	// 订单生产完成
	STATUS_NEW_PRODUT_COMPLETED Order = 5
	// 订单已到库
	STATUS_NEW_ARRIVAL Order = 6
	// 已发货
	STATUS_NEW_DELIVER Order = 7
	// UPS提货
	STATUS_NEW_UPS Order = 8
	// 已完成
	STATUS_NEW_COMPLETED Order = 9
	// 取消订单
	STATUS_NEW_CANCEL Order = 10
	// 退款中
	STATUS_NEW_REFUNDING Order = 11
	// 退款完成
	STATUS_NEW_REFUNDED Order = 12
	// 订单删除
	STATUS_NEW_DELETE Order = 13
	// 订单关闭
	STATUS_NEW_CLOSE Order = 14
)

// 前台订单状态
const (
	// 已支付
	STATUS_FONT_PAID Order = 1
	// 生产中
	STATUS_FONT_PRODUCTION Order = 2
	// 运输中
	STATUS_FONT_SHIPPED Order = 3
	// 到达云仓
	STATUS_FONT_INVENTORY Order = 4
	// 订单完成
	STATUS_FONT_COMPLETED Order = 5
	// 订单关闭
	STATUS_FONT_CLOSED Order = 7
	// 云仓完成
	STATUS_FONT_COMPLETED_CLOUD Order = 8
)

type Day int64

// 订单取消时间
const (
	CANCLE_ORDER_EXPIRE     Day = 48 * 3600
	CANCLE_ORDER_EXPIRE_DAY Day = 2 // 2天
)

// 订单时间配置
const (
	ORDER_PRODUCT_DAY         Day = 25 //产品制作周期(天)
	ORDER_FACTORY_DELIVER_DAY Day = 2  //厂家发货到货代周期(天)
	ORDER_DELIVER_UPS_DAY     Day = 35 //货代发货至UPS周期(天)
	ORDER_UPS_TRANS_DAY       Day = 5  //UPS运输周期(天)
)

const (
	LOGISTICS_STATUS_DRAW        Order = 1
	LOGISTICS_STATUS_SHIPPING    Order = 2
	LOGISTICS_STATUS_UPS         Order = 3
	LOGISTICS_STATUS_UPS_ARRIVAL Order = 4
	LOGISTICS_STATUS_ARRIVAL     Order = 5
)
