package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_deliver_tmp
type FsCloudDeliverTmp struct {
	Id           int64  `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	CloudId      *int64 `gorm:"default:0;" json:"cloud_id"`                      // 云仓id
	UserId       *int64 `gorm:"default:0;" json:"user_id"`                       // 用户id
	AdminId      *int64 `gorm:"default:0;" json:"admin_id"`                      // 操作员id
	DeliveryType *int64 `gorm:"default:1;" json:"delivery_type"`                 // 发货公司 之后配置，默认1
	Fee          *int64 `gorm:"default:0;" json:"fee"`                           // 价格
	AddressId    *int64 `gorm:"default:0;" json:"address_id"`                    // 地址
	Ctime        *int64 `gorm:"default:0;" json:"ctime"`                         // 创建时间
	IsDeliver    *int64 `gorm:"default:0;" json:"is_deliver"`                    // 0未发货，1已发货
	IsEnd        *int64 `gorm:"default:0;" json:"is_end"`                        // 0未完成，1已完成
	DeliverId    *int64 `gorm:"default:0;" json:"deliver_id"`                    // 发货总表id
}
type FsCloudDeliverTmpModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudDeliverTmpModel(db *gorm.DB) *FsCloudDeliverTmpModel {
	return &FsCloudDeliverTmpModel{db: db, name: "fs_cloud_deliver_tmp"}
}
