package gmodel

import (
	"gorm.io/gorm"
)

// fs_cloud_pick_up 云仓提货单
type FsCloudPickUp struct {
	Id           int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // Id
	UserId       *int64  `gorm:"index;default:0;" json:"user_id"`                 // 用户id
	TrackNum     *string `gorm:"default:'';" json:"track_num"`                    // 运输号
	AddressId    *int64  `gorm:"default:0;" json:"address_id"`                    // 地址id
	AddressInfo  *string `gorm:"default:'';" json:"address_info"`                 // 地址信息 json
	Status       *int64  `gorm:"default:0;" json:"status"`                        // 运输状态 1 draw 2shipping 3ups 4arrival
	Ctime        *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	ShippingTime *int64  `gorm:"default:0;" json:"shipping_time"`                 // 发货时间
	UpsTime      *int64  `gorm:"default:0;" json:"ups_time"`                      // 提货时间
	ArrivalTime  *int64  `gorm:"default:0;" json:"arrival_time"`                  // 到达时间
	UpsSn        *string `gorm:"default:'';" json:"ups_sn"`                       // 运输单号
}
type FsCloudPickUpModel struct {
	db   *gorm.DB
	name string
}

func NewFsCloudPickUpModel(db *gorm.DB) *FsCloudPickUpModel {
	return &FsCloudPickUpModel{db: db, name: "fs_cloud_pick_up"}
}
