package gmodel

import (
	"gorm.io/gorm"
)

// fs_contact_service
type FsContactService struct {
	Id           int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Type         *string `gorm:"default:'';" json:"type"`                         // 类型
	RelationId   *int64  `gorm:"index;default:0;" json:"relation_id"`             // 关联id
	UserId       *int64  `gorm:"index;default:0;" json:"user_id"`                 // 用户id
	Name         *string `gorm:"default:'';" json:"name"`                         // 联系人姓名
	Email        *string `gorm:"index;default:'';" json:"email"`                  // 联系人邮箱
	Phone        *string `gorm:"default:'';" json:"phone"`                        //
	Remark       *string `gorm:"default:'';" json:"remark"`                       // 备注内容
	IsHandle     *int64  `gorm:"default:0;" json:"is_handle"`                     // 是否被处理（0：未处理，1：已处理）
	Ctime        *int64  `gorm:"default:0;" json:"ctime"`                         //
	HandleRemark *string `gorm:"default:'';" json:"handle_remark"`                // 处理备注
	HandleUid    *int64  `gorm:"default:0;" json:"handle_uid"`                    // 处理人
	HandleTime   *int64  `gorm:"default:0;" json:"handle_time"`                   // 处理时间
}
type FsContactServiceModel struct {
	db   *gorm.DB
	name string
}

func NewFsContactServiceModel(db *gorm.DB) *FsContactServiceModel {
	return &FsContactServiceModel{db: db, name: "fs_contact_service"}
}
