package gmodel

import (
	"gorm.io/gorm"
)

// fs_faq 常见问题
type FsFaq struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	TagId   *int64  `gorm:"default:0;" json:"tag_id"`                        // 分类ID
	TagName *string `gorm:"default:'';" json:"tag_name"`                     // 分类名称
	Title   *string `gorm:"default:'';" json:"title"`                        // 标题
	Content *string `gorm:"default:'';" json:"content"`                      // 内容
	Status  *int64  `gorm:"default:0;" json:"status"`                        // 状态(0:禁用，1:启用)
	Sort    *int64  `gorm:"default:1;" json:"sort"`                          // 排序
	Ctime   *int64  `gorm:"default:0;" json:"ctime"`                         //
}
type FsFaqModel struct {
	db   *gorm.DB
	name string
}

func NewFsFaqModel(db *gorm.DB) *FsFaqModel { return &FsFaqModel{db: db, name: "fs_faq"} }
