package gmodel

import (
	"gorm.io/gorm"
)

// fs_gerent 管理员表
type FsGerent struct {
	Id                 int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"`    // ID
	Username           *string `gorm:"unique_key;default:'';" json:"username"`             // 用户名
	AuthKey            *string `gorm:"default:'';" json:"auth_key"`                        // token
	PasswordHash       *string `gorm:"default:'';" json:"password_hash"`                   // 加密密码
	PasswordResetToken *string `gorm:"unique_key;default:'';" json:"password_reset_token"` //
	Email              *string `gorm:"unique_key;default:'';" json:"email"`                // 邮箱
	Status             *int64  `gorm:"default:10;" json:"status"`                          // 状态
	CreatedAt          *int64  `gorm:"default:0;" json:"created_at"`                       // 创建时间
	UpdatedAt          *int64  `gorm:"default:0;" json:"updated_at"`                       // 更新时间
	Icon               *string `gorm:"default:'';" json:"icon"`                            //
	DepartmentId       *int64  `gorm:"default:0;" json:"department_id"`                    // 部门id
}
type FsGerentModel struct {
	db   *gorm.DB
	name string
}

func NewFsGerentModel(db *gorm.DB) *FsGerentModel { return &FsGerentModel{db: db, name: "fs_gerent"} }
