package gmodel

import (
	"gorm.io/gorm"
)

// fs_guest 游客表
type FsGuest struct {
	GuestId        int64   `gorm:"primary_key;default:0;auto_increment;" json:"guest_id"` // ID
	AuthKey        *string `gorm:"default:'';" json:"auth_key"`                           // jwt token
	Status         *int64  `gorm:"index;default:1;" json:"status"`                        // 1正常 0不正常
	IsDel          *int64  `gorm:"index;default:0;" json:"is_del"`                        // 是否删除 1删除
	CreatedAt      *int64  `gorm:"index;default:0;" json:"created_at"`                    // 添加时间
	UpdatedAt      *int64  `gorm:"default:0;" json:"updated_at"`                          // 更新时间
	IsOpenRender   *int64  `gorm:"default:0;" json:"is_open_render"`                      // 是否打开个性化渲染（1：开启，0：关闭）
	IsThousandFace *int64  `gorm:"default:0;" json:"is_thousand_face"`                    // 是否已经存在千人千面（1：存在，0：不存在）
	IsLowRendering *int64  `gorm:"default:0;" json:"is_low_rendering"`                    // 是否开启低渲染模型渲染
	IsRemoveBg     *int64  `gorm:"default:1;" json:"is_remove_bg"`                        // 用户上传logo是否去除背景
}
type FsGuestModel struct {
	db   *gorm.DB
	name string
}

func NewFsGuestModel(db *gorm.DB) *FsGuestModel { return &FsGuestModel{db: db, name: "fs_guest"} }
