package gmodel

import (
	"gorm.io/gorm"
)

// fs_order_affiliate 订单附属表-流程控制时间等
type FsOrderAffiliate struct {
	Id             int64  `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	OrderId        *int64 `gorm:"unique_key;default:0;" json:"order_id"`           // 订单id
	SureTime       *int64 `gorm:"default:0;" json:"sure_time"`                     // 确认时间
	ProductTime    *int64 `gorm:"default:0;" json:"product_time"`                  // 生产时间
	ProductEndtime *int64 `gorm:"default:0;" json:"product_endtime"`               // 生成完成时间
	DeliverTime    *int64 `gorm:"default:0;" json:"deliver_time"`                  // 发货时间
	UpsDeliverTime *int64 `gorm:"default:0;" json:"ups_deliver_time"`              // ups发货时间
	UpsTime        *int64 `gorm:"default:0;" json:"ups_time"`                      // UPS提货时间
	ArrivalTime    *int64 `gorm:"default:0;" json:"arrival_time"`                  // 到达云仓的时间
	RecevieTime    *int64 `gorm:"default:0;" json:"recevie_time"`                  // 云仓收货时间
}
type FsOrderAffiliateModel struct {
	db   *gorm.DB
	name string
}

func NewFsOrderAffiliateModel(db *gorm.DB) *FsOrderAffiliateModel {
	return &FsOrderAffiliateModel{db: db, name: "fs_order_affiliate"}
}
