package gmodel

import (
	"gorm.io/gorm"
)

// fs_pay_event 支付回调事件日志
type FsPayEvent struct {
	Id           int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	PayMethod    *int64  `gorm:"default:0;" json:"pay_method"`                    // 支付方式  1 stripe  2 paypal
	EventId      *string `gorm:"default:'';" json:"event_id"`                     // 事件ID
	EventType    *string `gorm:"default:'';" json:"event_type"`                   // 事件类型
	EventData    *string `gorm:"default:'';" json:"event_data"`                   // 事件数据
	EventCreated *int64  `gorm:"default:0;" json:"event_created"`                 // 事件时间
	Ip           *string `gorm:"default:'';" json:"ip"`                           // 请求IP
	CreatedAt    *int64  `gorm:"default:0;" json:"created_at"`                    // 创建时间
}
type FsPayEventModel struct {
	db   *gorm.DB
	name string
}

func NewFsPayEventModel(db *gorm.DB) *FsPayEventModel {
	return &FsPayEventModel{db: db, name: "fs_pay_event"}
}
