package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_price 阶梯价格表
type FsProductPrice struct {
	Id            int64    `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Sn            *string  `gorm:"default:'';" json:"sn"`                           // 唯一编码
	Title         *string  `gorm:"default:'';" json:"title"`                        // 标题描述
	ProductId     *int64   `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	MaterialId    *int64   `gorm:"index;default:0;" json:"material_id"`             // 材质ID
	SizeId        *int64   `gorm:"index;default:0;" json:"size_id"`                 // 尺寸ID
	EachBoxNum    *int64   `gorm:"default:0;" json:"each_box_num"`                  // 每一箱的个数
	EachBoxWeight *float64 `gorm:"default:0.00;" json:"each_box_weight"`            // 每一箱的重量 单位KG
	MinBuyNum     *int64   `gorm:"default:0;" json:"min_buy_num"`                   // 最少购买量
	StepNum       *string  `gorm:"default:'';" json:"step_num"`                     // 数量阶梯 eg:10,20,30
	StepPrice     *string  `gorm:"default:'';" json:"step_price"`                   // 价格阶梯 eg:100,50,25
	Status        *int64   `gorm:"default:1;" json:"status"`                        // 是否可用
	IsDefault     *int64   `gorm:"default:0;" json:"is_default"`                    // 是否默认
}
type FsProductPriceModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductPriceModel(db *gorm.DB) *FsProductPriceModel {
	return &FsProductPriceModel{db: db, name: "fs_product_price"}
}
