package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_render_design
type FsProductRenderDesign struct {
	Id         int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Sn         *string `gorm:"index;default:'';" json:"sn"`                     // 唯一标识
	UserId     *int64  `gorm:"index;default:0;" json:"user_id"`                 //
	ProductId  *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	TemplateId *int64  `gorm:"index;default:0;" json:"template_id"`             // 模型ID
	MaterialId *int64  `gorm:"index;default:0;" json:"material_id"`             // 材质ID
	SizeId     *int64  `gorm:"index;default:0;" json:"size_id"`                 // 尺寸ID
	OptionalId *int64  `gorm:"index;default:0;" json:"optional_id"`             // 选项ID
	Cover      *string `gorm:"default:'';" json:"cover"`                        //
	Info       *string `gorm:"default:'';" json:"info"`                         // 保留的设计信息
	Utime      *int64  `gorm:"default:0;" json:"utime"`                         //
	Status     *int64  `gorm:"default:1;" json:"status"`                        // 状态位（1：显示，0：删除）
	ClientIp   *string `gorm:"default:'';" json:"client_ip"`                    // 客户端ip
	ClientNo   *string `gorm:"default:'';" json:"client_no"`                    // 客户端唯一标识
	LogoColor  *string `gorm:"default:'';" json:"logo_color"`                   // logo图片备选颜色
}
type FsProductRenderDesignModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductRenderDesignModel(db *gorm.DB) *FsProductRenderDesignModel {
	return &FsProductRenderDesignModel{db: db, name: "fs_product_render_design"}
}
