package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_size 产品尺寸表
type FsProductSize struct {
	Id              int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	ProductId       *int64  `gorm:"index;default:0;" json:"product_id"`              // 产品ID
	IsPopular       *int64  `gorm:"default:0;" json:"is_popular"`                    // 是否受欢迎 0否1是
	Title           *string `gorm:"default:'';" json:"title"`                        // 标题 10*10*20
	Cover           *string `gorm:"default:'';" json:"cover"`                        //
	CoverImg        *string `gorm:"default:'';" json:"cover_img"`                    //
	Capacity        *string `gorm:"default:'';" json:"capacity"`                     // 自己填的尺寸名称
	Status          *int64  `gorm:"default:0;" json:"status"`                        // 状态位 显示 删除
	Sort            *int64  `gorm:"default:50;" json:"sort"`                         // 排序
	Remark          *string `gorm:"default:'';" json:"remark"`                       //
	PartsCanDeleted *int64  `gorm:"default:1;" json:"parts_can_deleted"`             // 配件是否可移除 1是0否
}
type FsProductSizeModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductSizeModel(db *gorm.DB) *FsProductSizeModel {
	return &FsProductSizeModel{db: db, name: "fs_product_size"}
}
