package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_template_element 云渲染配置表
type FsProductTemplateElement struct {
	Id                int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Title             *string `gorm:"default:'';" json:"title"`                        // 产品模板名称
	ProductTemplateId *int64  `gorm:"index;default:0;" json:"product_template_id"`     // 产品模板id
	Main              *string `gorm:"default:'';" json:"main"`                         //
	Second            *string `gorm:"default:'';" json:"second"`                       //
	Base              *string `gorm:"default:'';" json:"base"`                         //
	Paper             *string `gorm:"default:'';" json:"paper"`                        //
	Spoon             *string `gorm:"default:'';" json:"spoon"`                        //
	Fork              *string `gorm:"default:'';" json:"fork"`                         //
	Toothpick         *string `gorm:"default:'';" json:"toothpick"`                    //
	Chopsticks        *string `gorm:"default:'';" json:"chopsticks"`                   //
	Shadow            *string `gorm:"default:'';" json:"shadow"`                       //
	Cover             *string `gorm:"default:'';" json:"cover"`                        //
	Cover1            *string `gorm:"default:'';" json:"cover1"`                       //
	Mode              *string `gorm:"default:'';" json:"mode"`                         //
	Light             *int64  `gorm:"default:0;" json:"light"`                         //
	Rotation          *string `gorm:"default:'';" json:"rotation"`                     //
	Scale             *string `gorm:"default:'';" json:"scale"`                        //
	ModelP            *string `gorm:"default:'';" json:"model_p"`                      // 配件对应的云渲染贴图数据
	Refletion         *string `gorm:"default:'';" json:"refletion"`                    // 反射探头组
}
type FsProductTemplateElementModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductTemplateElementModel(db *gorm.DB) *FsProductTemplateElementModel {
	return &FsProductTemplateElementModel{db: db, name: "fs_product_template_element"}
}
