package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_v2_tmp 产品表
type FsProductV2Tmp struct {
	Id                   int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Sn                   *string `gorm:"unique_key;default:'';" json:"sn"`                // 商品编号 P98f087j
	Type                 *int64  `gorm:"default:0;" json:"type"`                          // 分类ID
	Title                *string `gorm:"default:'';" json:"title"`                        // 名称
	TitleCn              *string `gorm:"default:'';" json:"title_cn"`                     // 中文名称
	Imgs                 *string `gorm:"default:'';" json:"imgs"`                         // 一个或多个介绍图或视频
	Keywords             *string `gorm:"default:'';" json:"keywords"`                     // 关键字
	Intro                *string `gorm:"default:'';" json:"intro"`                        // 简要描述
	Sort                 *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	SelledNum            *int64  `gorm:"default:0;" json:"selled_num"`                    // 已卖数量
	Ctime                *int64  `gorm:"default:0;" json:"ctime"`                         //
	View                 *int64  `gorm:"default:0;" json:"view"`                          // 浏览量
	SizeIds              *string `gorm:"default:'';" json:"size_ids"`                     //
	MaterialIds          *string `gorm:"default:'';" json:"material_ids"`                 // 材质 1,2,3
	TagIds               *string `gorm:"default:'';" json:"tag_ids"`                      //
	Status               *int64  `gorm:"default:0;" json:"status"`                        // 状态位  弃用
	ProduceDays          *int64  `gorm:"default:0;" json:"produce_days"`                  // 生产天数
	DeliveryDays         *int64  `gorm:"default:0;" json:"delivery_days"`                 // 运送天数
	IsShelf              *int64  `gorm:"default:1;" json:"is_shelf"`                      // 是否上架
	IsRecommend          *int64  `gorm:"default:1;" json:"is_recommend"`                  // 是否推荐
	IsHot                *int64  `gorm:"default:1;" json:"is_hot"`                        // 是否热销
	IsProtection         *int64  `gorm:"default:1;" json:"is_protection"`                 // 是否环保
	IsMicrowave          *int64  `gorm:"default:1;" json:"is_microwave"`                  // 是否可微波炉
	IsDel                *int64  `gorm:"default:0;" json:"is_del"`                        // 是否删除
	RecommendProduct     *string `gorm:"default:'';" json:"recommend_product"`            //
	RecommendProductSort *string `gorm:"default:'';" json:"recommend_product_sort"`       //
}
type FsProductV2TmpModel struct {
	db   *gorm.DB
	name string
}

func NewFsProductV2TmpModel(db *gorm.DB) *FsProductV2TmpModel {
	return &FsProductV2TmpModel{db: db, name: "fs_product_v2_tmp"}
}
