package gmodel

import (
	"gorm.io/gorm"
)

// fs_qrcode_set 二维码边框配置表
type FsQrcodeSet struct {
	Id           int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // id
	Name         *string `gorm:"default:'';" json:"name"`                         // 二维码组件名称
	Size         *int64  `gorm:"default:0;" json:"size"`                          // 二维码内容尺寸
	IndexX       *int64  `gorm:"default:0;" json:"index_x"`                       // x偏移量
	IndexY       *int64  `gorm:"default:0;" json:"index_y"`                       // y偏移量
	SvgWebsite   *string `gorm:"default:'';" json:"svg_website"`                  // website d数据
	SvgInstagram *string `gorm:"default:'';" json:"svg_instagram"`                // svg instagram d数据
	SvgFacebook  *string `gorm:"default:'';" json:"svg_facebook"`                 // svg facebook d数据
	Status       *int64  `gorm:"default:0;" json:"status"`                        // 状态
	AdminId      *int64  `gorm:"default:0;" json:"admin_id"`                      // 操作人
	Ctime        *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Utime        *int64  `gorm:"default:0;" json:"utime"`                         // 更新时间
}
type FsQrcodeSetModel struct {
	db   *gorm.DB
	name string
}

func NewFsQrcodeSetModel(db *gorm.DB) *FsQrcodeSetModel {
	return &FsQrcodeSetModel{db: db, name: "fs_qrcode_set"}
}
