package gmodel

import (
	"gorm.io/gorm"
)

// fs_quotation_product 报价单产品表
type FsQuotationProduct struct {
	Id          int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	QuotationId *int64  `gorm:"index;default:0;" json:"quotation_id"`            // 报价单id
	Name        *string `gorm:"default:'';" json:"name"`                         // 产品名
	Size        *string `gorm:"default:'';" json:"size"`                         // 产品规格
	Cycle       *int64  `gorm:"default:0;" json:"cycle"`                         // 交付周期
	IsGift      *int64  `gorm:"default:0;" json:"is_gift"`                       // 是否赠品
	Img         *string `gorm:"default:'';" json:"img"`                          // 效果图
	Status      *int64  `gorm:"default:0;" json:"status"`                        // 状态位 1启用0停用
	Ctime       *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Sort        *int64  `gorm:"default:0;" json:"sort"`                          // 排序
	Sid         *string `gorm:"default:'';" json:"sid"`                          // 前端sid
	PriceInfo   *string `gorm:"default:'';" json:"price_info"`                   // 价格信息
	Remark      *string `gorm:"default:'';" json:"remark"`                       // 备注
	Num         *int64  `gorm:"default:0;" json:"num"`                           // 产品数量
}
type FsQuotationProductModel struct {
	db   *gorm.DB
	name string
}

func NewFsQuotationProductModel(db *gorm.DB) *FsQuotationProductModel {
	return &FsQuotationProductModel{db: db, name: "fs_quotation_product"}
}
