package gmodel

import (
	"gorm.io/gorm"
)

// fs_refund_reason
type FsRefundReason struct {
	Id             int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	RefundReasonId *int64  `gorm:"index;default:0;" json:"refund_reason_id"`        // 退款原因id
	RefundReason   *string `gorm:"default:'';" json:"refund_reason"`                // 退款原因
	OrderId        *int64  `gorm:"default:0;" json:"order_id"`                      // 订单id
	IsRefund       *int64  `gorm:"default:0;" json:"is_refund"`                     // 0未退款 1已退款
	CreatedAt      *int64  `gorm:"default:0;" json:"created_at"`                    // 创建时间
	IsHandle       *int64  `gorm:"default:0;" json:"is_handle"`                     // 是否处理（后台）
	HandleRemark   *string `gorm:"default:'';" json:"handle_remark"`                // 处理结果
	HandleUid      *int64  `gorm:"default:0;" json:"handle_uid"`                    // 处理人
	HandleTime     *int64  `gorm:"default:0;" json:"handle_time"`                   // 处理时间
}
type FsRefundReasonModel struct {
	db   *gorm.DB
	name string
}

func NewFsRefundReasonModel(db *gorm.DB) *FsRefundReasonModel {
	return &FsRefundReasonModel{db: db, name: "fs_refund_reason"}
}
