package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_resources 资源表
type FsResources struct {
	ResourceId   string     `gorm:"primary_key;default:'';" json:"resource_id"`              // 资源 ID
	UserId       *int64     `gorm:"index;default:0;" json:"user_id"`                         // 用户 ID
	GuestId      *int64     `gorm:"index;default:0;" json:"guest_id"`                        // 访客 ID
	ResourceType *string    `gorm:"index;default:'';" json:"resource_type"`                  // 资源类型
	ResourceUrl  *string    `gorm:"default:'';" json:"resource_url"`                         // 资源 URL
	UploadedAt   *time.Time `gorm:"index;default:'0000-00-00 00:00:00';" json:"uploaded_at"` // 上传时间
	Metadata     *string    `gorm:"default:'';" json:"metadata"`                             // 元数据,json格式,存储图像分率
	MetaKey1     *string    `gorm:"index;default:'';" json:"meta_key1"`                      // 需要关键信息查询的自定义属性1,可以动态增加
}
type FsResourcesModel struct {
	db   *gorm.DB
	name string
}

func NewFsResourcesModel(db *gorm.DB) *FsResourcesModel {
	return &FsResourcesModel{db: db, name: "fs_resources"}
}
