package gmodel

import (
	"gorm.io/gorm"
)

// fs_tool_logs 3d设计工具日志表
type FsToolLogs struct {
	Id        int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // ID
	ProductId *int64  `gorm:"default:0;" json:"product_id"`                    // 产品id
	Cover     *string `gorm:"default:'';" json:"cover"`                        //
	Img       *string `gorm:"default:'';" json:"img"`                          //
	ModelId   *int64  `gorm:"default:0;" json:"model_id"`                      // 模型id
	PartId    *int64  `gorm:"default:0;" json:"part_id"`                       // 配件id
	Ctime     *int64  `gorm:"default:0;" json:"ctime"`                         // 添加时间
	Uid       *int64  `gorm:"index;default:0;" json:"uid"`                     // 3d设计用户
	Name      *string `gorm:"default:'';" json:"name"`                         // 产品名称
}
type FsToolLogsModel struct {
	db   *gorm.DB
	name string
}

func NewFsToolLogsModel(db *gorm.DB) *FsToolLogsModel {
	return &FsToolLogsModel{db: db, name: "fs_tool_logs"}
}
