package gmodel

import (
	"gorm.io/gorm"
)

// fs_trade
type FsTrade struct {
	Id      int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Sn      *string `gorm:"unique_key;default:'';" json:"sn"`                // 本地交易号
	Type    *int64  `gorm:"default:0;" json:"type"`                          // 类型 运费 云仓费用 退款 等
	PayType *string `gorm:"default:'';" json:"pay_type"`                     // 支付方式
	TradeSn *string `gorm:"unique_key;default:'';" json:"trade_sn"`          // 三方交易号
	OrderId *int64  `gorm:"index;default:0;" json:"order_id"`                // 订单ID
	Amount  *int64  `gorm:"default:0;" json:"amount"`                        // 支付金额
	Ctime   *int64  `gorm:"default:0;" json:"ctime"`                         //
	Utime   *int64  `gorm:"default:0;" json:"utime"`                         //
	Desc    *string `gorm:"default:'';" json:"desc"`                         //
	Status  *int64  `gorm:"default:0;" json:"status"`                        //
}
type FsTradeModel struct {
	db   *gorm.DB
	name string
}

func NewFsTradeModel(db *gorm.DB) *FsTradeModel { return &FsTradeModel{db: db, name: "fs_trade"} }
