package gmodel

import (
	"gorm.io/gorm"
)

// fs_user_material 用户素材表
type FsUserMaterial struct {
	Id          int64   `gorm:"primary_key;default:0;auto_increment;" json:"id"` // 用户 ID
	Module      *string `gorm:"default:'';" json:"module"`                       // 所属模块:logo
	UserId      *int64  `gorm:"index;default:0;" json:"user_id"`                 // 用户 ID
	GuestId     *int64  `gorm:"index;default:0;" json:"guest_id"`                // 游客 ID
	ResourceId  *string `gorm:"default:'';" json:"resource_id"`                  // 资源ID
	ResourceUrl *string `gorm:"default:'';" json:"resource_url"`                 // 资源 URL
	Metadata    *string `gorm:"default:'';" json:"metadata"`                     // 元数据,json格式,存储图像分率
	CreateAt    *int64  `gorm:"default:0;" json:"create_at"`                     // 上传时间
}
type FsUserMaterialModel struct {
	db   *gorm.DB
	name string
}

func NewFsUserMaterialModel(db *gorm.DB) *FsUserMaterialModel {
	return &FsUserMaterialModel{db: db, name: "fs_user_material"}
}
