package gmodel

import (
	"gorm.io/gorm"
)

// fs_user_stock 用户云仓库存
type FsUserStock struct {
	Id                    int64    `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	CloudId               *int64   `gorm:"index;default:1;" json:"cloud_id"`                // 云仓id
	UserId                *int64   `gorm:"index;default:0;" json:"user_id"`                 // user_id
	Production            *int64   `gorm:"default:0;" json:"production"`                    // 生产数量
	Stick                 *int64   `gorm:"default:0;" json:"stick"`                         // 库存量
	OrderDetailTemplateSn *string  `gorm:"default:'';" json:"order_detail_template_sn"`     // 订单模板表sn
	Status                *int64   `gorm:"default:0;" json:"status"`                        // 是否显示 0不正常 1正常(显示)
	DesignId              *int64   `gorm:"default:0;" json:"design_id"`                     // 设计id
	EachBoxNum            *int64   `gorm:"default:0;" json:"each_box_num"`                  // 每箱个数
	EachBoxWeight         *float64 `gorm:"default:0.00;" json:"each_box_weight"`            // 每箱重量
	TransNum              *int64   `gorm:"default:0;" json:"trans_num"`                     // 在途数量
	ProductId             *int64   `gorm:"default:0;" json:"product_id"`                    // 产品id
	IsEmail               *int64   `gorm:"default:0;" json:"is_email"`                      // 是否发送邮件
	Utime                 *int64   `gorm:"default:0;" json:"utime"`                         // 更新时间
}
type FsUserStockModel struct {
	db   *gorm.DB
	name string
}

func NewFsUserStockModel(db *gorm.DB) *FsUserStockModel {
	return &FsUserStockModel{db: db, name: "fs_user_stock"}
}
