package backendtest

import (
	"fmt"
	"fusenapi/server/backend/internal/config"
	"fusenapi/server/backend/internal/handler"
	"fusenapi/server/backend/internal/svc"
	homeuserauthtest "fusenapi/server/home-user-auth/test"
	"fusenapi/utils/fstests"
	"log"
	"runtime"

	"github.com/zeromicro/go-zero/core/conf"
	"github.com/zeromicro/go-zero/rest"
)

var cnf config.Config
var userver, gserver *rest.Server

func init() {
	log.SetFlags(log.Llongfile)
	userver = homeuserauthtest.GetTestServer()
	gserver = GetTestServer()
}

func GetTestServer() *rest.Server {

	conf.MustLoad(fstests.GetEtcYamlPathAuto(), &cnf)

	server := rest.MustNewServer(cnf.RestConf)
	runtime.SetFinalizer(server, func(server *rest.Server) {
		if server != nil {
			server.Stop()
		}
	})

	ctx := svc.NewServiceContext(cnf)
	handler.RegisterHandlers(server, ctx)

	fmt.Printf("Starting server at %s:%d...\n", cnf.Host, cnf.Port)
	return server
}
