package handler

import (
	"net/http"
	"reflect"

	"fusenapi/utils/basic"

	"fusenapi/server/canteen/internal/logic"
	"fusenapi/server/canteen/internal/svc"
	"fusenapi/server/canteen/internal/types"
)

func GetCanteenDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.GetCanteenDetailReq
		userinfo, err := basic.RequestParse(w, r, svcCtx, &req)
		if err != nil {
			return
		}

		// 创建一个业务逻辑层实例
		l := logic.NewGetCanteenDetailLogic(r.Context(), svcCtx)

		rl := reflect.ValueOf(l)
		basic.BeforeLogic(w, r, rl)

		resp := l.GetCanteenDetail(&req, userinfo)

		if !basic.AfterLogic(w, r, rl, resp) {
			basic.NormalAfterLogic(w, r, resp)
		}
	}
}
