package config

import (
	"fusenapi/server/home-user-auth/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql string
	Auth        types.Auth

	MainAddress string

	OAuth struct {
		Google struct {
			Appid  string
			Secret string
		}

		Facebook struct {
			Appid  string
			Secret string
		}
	}

	Stripe struct {
		SK string
	}

	PayConfig struct {
		Stripe struct {
			EndpointSecret string
			Key            string
			CancelURL      string
			SuccessURL     string
		}
	}
}
