package logic

import (
	"context"

	"fusenapi/server/home-user-auth/internal/svc"
	"fusenapi/server/home-user-auth/internal/types"
	"fusenapi/utils/auth"
	"fusenapi/utils/basic"

	"github.com/zeromicro/go-zero/core/logx"
)

type UserGetTypeLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewUserGetTypeLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UserGetTypeLogic {
	return &UserGetTypeLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *UserGetTypeLogic) UserGetType(req *types.Request, userinfo *auth.UserInfo) (resp *basic.Response) {

	// if userinfo.GetIdType() != auth.IDTYPE_User {
	// 	return resp.SetStatus(basic.CodeUnAuth)
	// }

	// 返回值必须调用Set重新返回, resp可以空指针调用 resp.SetStatus(basic.CodeOK, data)
	data, err := l.svcCtx.AllModels.FsCanteenType.FindAllGetType(l.ctx)
	if err != nil {
		logx.Error(err)
		return
	}
	return resp.SetStatus(basic.CodeOK, data)
}
