// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type TakeReq struct {
	Form      []TakeForm `json:"form"`
	AddressId int64      `json:"address_id"`
}

type TakeForm struct {
	Id  int64 `json:"id"`
	Num int64 `json:"num"`
}

type GetCloudListReq struct {
	Page     int   `json:"page"`
	PageSize int   `json:"page_size"`
	Size     int64 `json:"size"`
}

type GetCloudListRsp struct {
	WarehouseBoxes int64          `json:"warehouse_boxes"`
	TransitBoxes   int64          `json:"transit_boxes"`
	MinTakeNum     int64          `json:"minTakeNum"`
	ListData       []ListDataItem `json:"listData"`
	Meta           Meta           `json:"_meta"`
}

type ListDataItem struct {
	Id            int64       `json:"id"`
	Sn            string      `json:"sn"`
	Cover         string      `json:"cover"`
	Name          string      `json:"name"`
	DesignSn      string      `json:"design_sn"`
	Fitting       string      `json:"fitting"`
	Production    int64       `json:"production"`
	ProductionBox int64       `json:"production_box"`
	EachBoxNum    int64       `json:"each_box_num"`
	Stick         int64       `json:"stick"`
	StickBox      int64       `json:"stick_box"`
	Type          int64       `json:"type"`
	TakeNum       int64       `json:"takeNum"`
	Size          string      `json:"size"`
	IsStop        int64       `json:"is_stop"`
	PriceList     []PriceItem `json:"price"`
}

type PriceItem struct {
	Num      int64 `json:"num"`
	TotalNum int64 `json:"total_num"`
	Price    int64 `json:"price"`
}

type SupplementReq struct {
	Id  int64 `json:"id"`
	Num int64 `json:"num"`
}

type SupplementRsp struct {
	Sn string `json:"sn"`
}

type GetPickupListReq struct {
	Status   int64 `form:"status,options=-1|1|2|3|4"`
	Page     int   `form:"page"`
	PageSize int   `form:"page_size"`
	Size     int   `form:"size"`
}

type GetPickupListRsp struct {
	PickupList []PickupItem `json:"items"`
	Meta       Meta         `json:"_meta"`
}

type PickupItem struct {
	Id              int64             `json:"id"`
	UserId          int64             `json:"user_id"`
	TrackNum        string            `json:"track_num"`
	Ctime           string            `json:"ctime"`
	Status          int64             `json:"status"`
	UpsSn           string            `json:"ups_sn"`
	Address         string            `json:"address"`
	ProductList     []Product         `json:"productList"`
	Pcs             int64             `json:"pcs"`
	PcsBox          int64             `json:"pcs_box"`
	LogisticsStatus int64             `json:"logistics_status"`
	StatusTimes     []StatusTimesItem `json:"status_times"`
}

type Product struct {
	Id          int64  `json:"id"`
	PickId      int64  `json:"pick_id"`
	StockId     int64  `json:"stock_id"`
	Num         int64  `json:"num"`
	Boxes       int64  `json:"boxes"`
	Ctime       int64  `json:"ctime"`
	ProductName string `json:"product_name"`
	Pcs         int64  `json:"pcs"`
	PcsBox      int64  `json:"pcs_box"`
	Cover       string `json:"cover"`
	Size        string `json:"size"`
	Fitting     string `json:"fitting"`
}

type StatusTimesItem struct {
	Key  int64  `json:"key"`
	Time string `json:"time"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"totalCount"`
	PageCount   int64 `json:"pageCount"`
	CurrentPage int   `json:"currentPage"`
	PerPage     int   `json:"perPage"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
