// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type GetMapLibraryListRsp struct {
	Mid   int64              `json:"mid"`
	Ctime string             `json:"ctime"`
	Tag   *MapLibraryListTag `json:"tag"`
	Info  interface{}        `json:"info"`
}

type MapLibraryListTag struct {
	Id    int64  `json:"id"`
	Title string `json:"title"`
}

type SaveMapLibraryData struct {
	Mid   string `json:"mid"`
	Tid   string `json:"tid"`
	Ctime string `json:"ctime"`
	Tag   Tag    `json:"tag,optional"`
	Info  Info   `json:"info,optional"`
}

type Tag struct {
	Id    int64  `json:"id,optional"`
	Title string `json:"title,optional"`
}

type Info struct {
	Id            string           `json:"id,optional"`
	Tag           string           `json:"tag,optional"`
	Title         string           `json:"title,optional"`
	Type          string           `json:"type,optional"`
	Text          string           `json:"text,optional"`
	Fill          string           `json:"fill,optional"`
	FontSize      int64            `json:"fontSize,optional"`
	FontFamily    string           `json:"fontFamily,optional"`
	IfBr          bool             `json:"ifBr,optional"`
	IfShow        bool             `json:"ifShow,optional"`
	IfGroup       bool             `json:"ifGroup,optional"`
	MaxNum        int64            `json:"maxNum,optional"`
	Rotation      int64            `json:"rotation,optional"`
	Align         string           `json:"align,optional"`
	VerticalAlign string           `json:"verticalAlign,optional"`
	Material      string           `json:"material,optional"`
	Width         float64          `json:"width,optional"`
	Height        float64          `json:"height,optional"`
	X             float64          `json:"x,optional"`
	Y             float64          `json:"Y,optional"`
	Opacity       float64          `json:"opacity,optional"`
	OptionalColor []*OptionalColor `json:"optionalColor,optional"`
	ZIndex        int64            `json:"zIndex,optional"`
	SvgPath       string           `json:"svgPath,optional"`
	Follow        Follow           `json:"follow,optional"`
	Group         []*Group         `json:"group,optional"`
	CameraStand   CameraStand      `json:"cameraStand,optional"`
}

type Group struct {
	Tag    string `json:"tag,optional"`
	Text   string `json:"text,optional"`
	Title  string `json:"title,optional"`
	IfBr   bool   `json:"ifBr,optional"`
	IfShow bool   `json:"ifShow,optional"`
	MaxNum int64  `json:"maxNum,optional"`
}

type OptionalColor struct {
	OptionalColor string `json:"color,optional"`
	Name          string `json:"name,optional"`
	Default       bool   `json:"default,optional"`
}

type Follow struct {
	Fill    string `json:"fill,optional"`
	IfShow  string `json:"ifShow,optional"`
	Content string `json:"content,optional"`
}

type CameraStand struct {
	X int64 `json:"x,optional"`
	Y int64 `json:"y,optional"`
	Z int64 `json:"z,optional"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"totalCount"`
	PageCount   int64 `json:"pageCount"`
	CurrentPage int   `json:"currentPage"`
	PerPage     int   `json:"perPage"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
