// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type GetOrderInvoiceReq struct {
	Sn       string `form:"sn"`
	TimeZone int64  `form:"timeZone"`
}

type GetOrderInvoiceRsp struct {
	FileName string `json:"file_name"`
	Pdf      string `json:"pdf"`
}

type GetOrderDetailReq struct {
	Sn   string `form:"sn"`
	Size int64  `form:"size, optional"`
}

type GetOrderDetailRsp struct {
	Id             int64      `json:"id"`
	TotalAmount    int64      `json:"total_amount"`
	Deposit        int64      `json:"deposit"`
	Remaining      int64      `json:"remaining"`
	IsPayCompleted int64      `json:"is_pay_completed"`
	DeliveryMethod int64      `json:"delivery_method"`
	Sn             string     `json:"sn"`
	Status         int64      `json:"status"`
	Ctime          string     `json:"ctime"`
	PayInfo        *PayInfo   `json:"pay_info"`
	Address        *Address   `json:"address"`
	ProductList    []*Product `json:"productList"`
}

type Product struct {
	Cover                 string `json:"cover"`
	Fitting               string `json:"fitting"`
	OptionPrice           int64  `json:"option_price"`
	OrderDetailTemplateId int64  `json:"order_detail_template_id"`
	OrderId               int64  `json:"order_id"`
	Pcs                   int64  `json:"pcs"`
	PcsBox                int64  `json:"pcs_box"`
	Price                 int64  `json:"price"`
	ProductId             int64  `json:"product_id"`
	Size                  string `json:"size"`
	Title                 string `json:"title"`
}

type Address struct {
	Id        int64  `json:"id"`
	UserId    int64  `json:"user_id"`
	Name      string `json:"name"`
	FirstName string `json:"first_name"`
	LastName  string `json:"last_name"`
	Mobile    string `json:"mobile"`
	Street    string `json:"street"`
	Suite     string `json:"suite"`
	City      string `json:"city"`
	State     string `json:"state"`
	Country   string `json:"country"`
	ZipCode   string `json:"zip_code"`
	Status    int64  `json:"status"`
	IsDefault int64  `json:"is_default"`
}

type PayInfo struct {
	Deposit Deposit `json:"Deposit"`
	Final   Deposit `json:"Final"`
}

type Deposit struct {
	Method  string `json:"method"`
	TransNo string `json:"trans_no"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"totalCount"`
	PageCount   int64 `json:"pageCount"`
	CurrentPage int   `json:"currentPage"`
	PerPage     int   `json:"perPage"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
